ExecuteCQOperationContext (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.operations, class: ExecuteCQOperationContext

Package org.apache.geode.cache.operations

# Class ExecuteCQOperationContext

java.lang.Object
org.apache.geode.cache.operations.OperationContext
org.apache.geode.cache.operations.QueryOperationContext
org.apache.geode.cache.operations.ExecuteCQOperationContext

Direct Known Subclasses:
  `CloseCQOperationContext`, `StopCQOperationContext`

@Deprecated public class ExecuteCQOperationContext extends QueryOperationContext
Deprecated.
since Geode1.0, use `ResourcePermission` instead
Encapsulates a continuous query registeration operation for both the pre-operation and post-operation cases.

Since:
  GemFire 5.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

  `OperationContext.OperationCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecuteCQOperationContext(String cqName, String queryString, Set regionNames, boolean postOperation)`
  Deprecated.
  Constructor for the EXECUTE_CQ operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Deprecated.
  Return the name of the continuous query.
  `OperationContext.OperationCode`
  `getOperationCode()`
  Deprecated.
  Return the operation associated with the `OperationContext` object.

  ### Methods inherited from class org.apache.geode.cache.operations.QueryOperationContext

  `getQuery, getQueryParams, getQueryResult, getRegionNames, isPostOperation, modifyQuery, setPostOperation, setQueryResult, setRegionNames`

  ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

  `isClientUpdate, isClientUpdate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExecuteCQOperationContext

    public ExecuteCQOperationContext(String cqName, String queryString, Set regionNames, boolean postOperation)
    Deprecated.
    Constructor for the EXECUTE_CQ operation.
    Parameters:
      `cqName` - the name of the continuous query being registered
      `queryString` - the query string for this operation
      `regionNames` - names of regions that are part of the query string
      `postOperation` - true to set the post-operation flag

- ## Method Details

  - ### getOperationCode

    public OperationContext.OperationCode getOperationCode()
    Deprecated.
    Return the operation associated with the `OperationContext` object.
    Overrides:
      `getOperationCode` in class `QueryOperationContext`
    Returns:
      the `OperationCode` of this operation

  - ### getName

    public String getName()
    Deprecated.
    Return the name of the continuous query.
    Returns:
      the name of the continuous query